/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


jsLoader.loadSubScript("chrome://opensi/content/libs/query.js");
jsLoader.loadSubScript("chrome://opensi/content/libs/arbres.js");
jsLoader.loadSubScript("chrome://opensi/content/libs/verif.js");

var mode; // mode cration ou modification
var com_valide;
var editer_facture = true;
var editer_bon = true;
var mode_fact;
var bon_id = 0;
var Code_Pays = "";


function init() {
    try {
	    var paramlist = "&Page=Facturation/GetRDF/liste_commerciaux.tmpl&ContentType=xml";
  		load_rdf_async('Login_Resp', getUrlOpeneas(paramlist), initResp);

    } catch (e) {
  	    recup_erreur(e);
    }
}


function initResp() {
    try {

		mode = ParamValeur("Mode");

		if (mode=="C")
			nouvelle_affaire();
		else
			charger_affaire(ParamValeur("Affaire_Id"));

	 	window.parent.addEventListener("close",demandeEnregistrement,false);

	} catch (e) {
  	    recup_erreur(e);
    }
}

function afficherFichiers() {
	try {

		if (document.getElementById("Affaire_Id").value!="") {
	    var url = "chrome://opensi/content/facturation/user/recherches/rech_fichiers.xul?"+ cookie();
	    url +="&Type=Affaire&Document_Id="+ urlEncode(document.getElementById('Affaire_Id').value);
  	  window.openDialog(url,'','chrome,modal,centerscreen');
    }
    else {
      showWarning("Vous devez enregistrer votre affaire");
    }
	} catch (e) {
    recup_erreur(e);
  }
}


function desinit() {
	try {

		window.parent.removeEventListener("close",demandeEnregistrement,false);

	} catch (e) {
  	recup_erreur(e);
  }
}


function init_tree_commandes(affaire_id) {
  try {

    var paramlist = "&Page=Facturation/GetRDF/commandes_affaire.tmpl&ContentType=xml&Affaire_Id="+ affaire_id;
    load_rdf('commandes', getUrlOpeneas(paramlist));

  } catch (e) {
    recup_erreur(e);
  }
}

function delete_tree_commandes() {
  try {

    var database = document.getElementById("commandes").database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }
		document.getElementById('commandes').builder.rebuild();

  } catch (e) {
    recup_erreur(e);
  }
}


function init_tree_bons(affaire_id) {
  try {

    var paramlist = "&Page=Facturation/GetRDF/bons_affaire.tmpl&ContentType=xml&Affaire_Id="+ affaire_id;
    load_rdf('bons', getUrlOpeneas(paramlist));

  } catch (e) {
    recup_erreur(e);
  }
}

function delete_tree_bons() {
  try {

    var database = document.getElementById("bons").database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }
		document.getElementById('bons').builder.rebuild();

  } catch (e) {
    recup_erreur(e);
  }
}


function init_tree_factures(affaire_id) {
  try {

    var paramlist = "&Page=Facturation/GetRDF/factures_affaire.tmpl&ContentType=xml&Affaire_Id="+ affaire_id;
    load_rdf('factures', getUrlOpeneas(paramlist));

  } catch (e) {
    recup_erreur(e);
  }
}


function delete_tree_factures() {
  try {

    var database = document.getElementById("factures").database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }
		document.getElementById('factures').builder.rebuild();

  } catch (e) {
    recup_erreur(e);
  }
}


function nouvelle_affaire() {
  try {
    document.getElementById("hbox_bEnregistrer").setAttribute("class","bouton_enregistrer");

		mode = "C";
		document.getElementById('chercher_client').collapsed = false;
		document.getElementById('chercher_adrfact').collapsed = true;
		document.getElementById('chercher_adrfact').disabled = false;
		document.getElementById('chercher_inter').collapsed = true;
		document.getElementById('chercher_inter').disabled = false;
		document.getElementById('chercher_inter_liv').collapsed = true;
		document.getElementById('chercher_inter_liv').disabled = false;
		document.getElementById('bInter').collapsed = true;
		document.getElementById('bInter').disabled = false;
		document.getElementById('bInterLiv').collapsed = true;
		document.getElementById('bInterLiv').disabled = false;
		document.getElementById('chercher_adresse').collapsed = true;
		document.getElementById('chercher_adresse').disabled = false;
		document.getElementById('bSupprimer').collapsed = true;
		document.getElementById('bSolder').collapsed = true;
		document.getElementById('bEnregistrer').disabled = false;

		document.getElementById('bNouveauCommande').disabled = true;
		document.getElementById('bNouveauBon').disabled = true;
		document.getElementById('bNouveauFacture').disabled = true;
    document.getElementById('bNouveauAvoir').disabled = true;
		document.getElementById('Type_Fact').disabled = false;
		document.getElementById('Login_Resp').disabled = false;
		document.getElementById('Nom_Affaire').disabled = false;
		document.getElementById('Commentaires').disabled = false;
		document.getElementById('Imp_Com').disabled = false;
		document.getElementById('bChoisirMentions').disabled = false;

		document.getElementById('labelClient').value = "";

		document.getElementById('Affaire_Id').value = "";
		document.getElementById('Numero').value = "";
		document.getElementById('Client_Id').value = "";
		document.getElementById('Nom_Affaire').value = "";
		document.getElementById('Denomination_Fact').value = "";
		document.getElementById('Adresse_1_Fact').value = "";
		document.getElementById('Adresse_2_Fact').value = "";
		document.getElementById('Adresse_3_Fact').value = "";
		document.getElementById('Code_Postal_Fact').value = "";
		document.getElementById('Ville_Fact').value = "";
		document.getElementById('Pays_Fact').value = "";
		document.getElementById('Code_Pays_Fact').value = "";
		document.getElementById('Civ_Inter_Fact').value = "";
		document.getElementById('Civ_Inter_Courte_Fact').value = "";
		document.getElementById('Nom_Inter_Fact').value = "";
		document.getElementById('Prenom_Inter_Fact').value = "";
		document.getElementById('Tel_Inter_Fact').value = "";
		document.getElementById('Fax_Inter_Fact').value = "";
		document.getElementById('Email_Inter_Fact').value = "";
		
		document.getElementById('Commentaires').value = "";
		document.getElementById('Type_Fact').value = "C";
		document.getElementById('Login_Resp').selectedIndex = 0;
		document.getElementById('Etat').value = "";
		document.getElementById('Status').value = "";

		document.getElementById('Denomination_Liv').value = "";
		document.getElementById('Adresse_1_Liv').value = "";
		document.getElementById('Adresse_2_Liv').value = "";
		document.getElementById('Adresse_3_Liv').value = "";
		document.getElementById('Code_Postal_Liv').value = "";
		document.getElementById('Ville_Liv').value = "";
		document.getElementById('Pays_Liv').value = "";
		document.getElementById('Code_Pays_Liv').value = "";
		document.getElementById('Imp_Com').checked = false;

		document.getElementById('Civ_Inter_Liv').value = "";
		document.getElementById('Civ_Inter_Courte_Liv').value = "";
		document.getElementById('Nom_Inter_Liv').value = "";
		document.getElementById('Prenom_Inter_Liv').value = "";
		document.getElementById('Tel_Inter_Liv').value = "";
		document.getElementById('Fax_Inter_Liv').value = "";
		document.getElementById('Email_Inter_Liv').value = "";

		document.getElementById('Creation').label = "";
		document.getElementById('Modification').label = "";
		document.getElementById('Creation').collapsed = true;
		document.getElementById('Modification').collapsed = true;
		document.getElementById('Fiche').label = "";

		delete_tree_commandes();
		delete_tree_bons();
		delete_tree_factures();

		setModifie(false);

		rechercherClient();

	} catch (e) {
  	recup_erreur(e);
  }
}


function charger_affaire(affaire_id) {
  try {

		delete_tree_commandes();
		delete_tree_bons();
		delete_tree_factures();
		init_tree_commandes(affaire_id);
		init_tree_bons(affaire_id);
		init_tree_factures(affaire_id);

		mode = "M";
		document.getElementById('chercher_client').collapsed = true;
		document.getElementById('chercher_adrfact').disabled = false;
		document.getElementById('chercher_inter').disabled = false;
		document.getElementById('chercher_inter_liv').disabled = false;
		document.getElementById('bInter').disabled = false;
		document.getElementById('bInterLiv').disabled = false;
		document.getElementById('chercher_adresse').disabled = false;
		document.getElementById('bNouveauCommande').disabled = false;
		document.getElementById('bEnregistrer').disabled = false;
		document.getElementById('bSupprimer').collapsed = false;
		document.getElementById('Type_Fact').disabled = false;
		document.getElementById('Login_Resp').disabled = false;
		document.getElementById('Nom_Affaire').disabled = false;
		document.getElementById('Commentaires').disabled = false;
		document.getElementById('bChoisirMentions').disabled = false;
		document.getElementById('Imp_Com').disabled = false;
		document.getElementById('bSolder').collapsed = true;

		document.getElementById('Affaire_Id').value = affaire_id;

		var corps = cookie() + "&Page=Facturation/Affaires/getAffaire.tmpl&ContentType=xml&Affaire_Id="+ urlEncode(affaire_id);

		var p = requeteHTTP(corps);

		var contenu = p.responseXML.documentElement;

		document.getElementById('Client_Id').value = contenu.getAttribute("Client_Id");
		document.getElementById('labelClient').value = contenu.getAttribute("Client_Id");
		document.getElementById('Numero').value = contenu.getAttribute("Numero");
		document.getElementById('Nom_Affaire').value = contenu.getAttribute("Nom_Affaire");
		document.getElementById('Denomination_Fact').value = contenu.getAttribute("Raison_Sociale");
		document.getElementById('Adresse_1_Fact').value = contenu.getAttribute("Adresse_Fact");
		document.getElementById('Adresse_2_Fact').value = contenu.getAttribute("Comp_Adresse_Fact");
		document.getElementById('Adresse_3_Fact').value = contenu.getAttribute("Adresse_3_Fact");
		document.getElementById('Code_Postal_Fact').value = contenu.getAttribute("CP_Fact");
		document.getElementById('Ville_Fact').value = contenu.getAttribute("Ville_Fact");
		document.getElementById('Pays_Fact').value = contenu.getAttribute("Pays_Fact");
		document.getElementById('Code_Pays_Fact').value = contenu.getAttribute("Code_Pays_Fact");
		document.getElementById('Civ_Inter_Fact').value = contenu.getAttribute("Civ_Inter");
		document.getElementById('Civ_Inter_Courte_Fact').value = contenu.getAttribute("Civ_Inter_Courte");
		document.getElementById('Nom_Inter_Fact').value = contenu.getAttribute("Nom_Inter");
		document.getElementById('Prenom_Inter_Fact').value = contenu.getAttribute("Prenom_Inter");
		document.getElementById('Tel_Inter_Fact').value = contenu.getAttribute("Tel_Inter");
		document.getElementById('Fax_Inter_Fact').value = contenu.getAttribute("Fax_inter");
		document.getElementById('Email_Inter_Fact').value = contenu.getAttribute("Email_Inter");
		
		document.getElementById('Commentaires').value = contenu.getAttribute("Commentaires");
		document.getElementById('Etat').value = getEtat(contenu.getAttribute("Etat"));
		document.getElementById('Login_Resp').value = contenu.getAttribute("Util_R");
		document.getElementById('Type_Fact').value = contenu.getAttribute("Type_Fact");
		mode_fact = contenu.getAttribute("Type_Fact");
		document.getElementById('Status').value = contenu.getAttribute("Etat");
		com_valide = contenu.getAttribute("Com_Valide");

		document.getElementById('Denomination_Liv').value = contenu.getAttribute("Nom_Liv");
		document.getElementById('Adresse_1_Liv').value = contenu.getAttribute("Adresse_Liv");
		document.getElementById('Adresse_2_Liv').value = contenu.getAttribute("Comp_Adresse_Liv");
		document.getElementById('Adresse_3_Liv').value = contenu.getAttribute("Adresse_3_Liv");
		document.getElementById('Code_Postal_Liv').value = contenu.getAttribute("CP_Liv");
		document.getElementById('Ville_Liv').value = contenu.getAttribute("Ville_Liv");
		document.getElementById('Pays_Liv').value = contenu.getAttribute("Pays_Liv");
		document.getElementById('Code_Pays_Liv').value = contenu.getAttribute("Code_Pays_Liv");
		
		document.getElementById('Civ_Inter_Liv').value = contenu.getAttribute("Civ_Inter_Liv");
		document.getElementById('Civ_Inter_Courte_Liv').value = contenu.getAttribute("Civ_Inter_Courte_Liv");
		document.getElementById('Nom_Inter_Liv').value = contenu.getAttribute("Nom_Inter_Liv");
		document.getElementById('Prenom_Inter_Liv').value = contenu.getAttribute("Prenom_Inter_Liv");
		document.getElementById('Tel_Inter_Liv').value = contenu.getAttribute("Tel_Inter_Liv");
		document.getElementById('Fax_Inter_Liv').value = contenu.getAttribute("Fax_Inter_Liv");
		document.getElementById('Email_Inter_Liv').value = contenu.getAttribute("Email_Inter_Liv");
		
		document.getElementById('Imp_Com').checked = (contenu.getAttribute("Imp_Com")==1);
    document.getElementById('bNouveauAvoir').disabled = true;

        document.getElementById('bNouveauCommande').disabled = false;
        document.getElementById('bNouveauBon').disabled = true;
		document.getElementById('bNouveauFacture').disabled = true;
       
        if (mode_fact == "G")
            document.getElementById("commandes").selType = "multiple";
           
		if (!isEmpty(com_valide)) {

			if (contenu.getAttribute("Nb_Bons_Gen")>0) {
				document.getElementById('bSolder').collapsed = false;
			}

			var nb_facture_total = contenu.getAttribute("Nb_Facture_Non_Gen") + contenu.getAttribute("Nb_Facture_Gen");

			if (contenu.getAttribute("Etat")=='C' ||
                contenu.getAttribute("Nb_Facture_Non_Gen")>0 || 
                contenu.getAttribute("Nb_Bons_Gen_Non_Fact")<=0) {
				document.getElementById('bNouveauFacture').disabled = true;
                editer_facture = false;
			}

			if (contenu.getAttribute("Nb_Bons_Non_Gen") > 0) {
                editer_bon = false;
				document.getElementById('bSolder').disabled = true;
			}

			if (nb_facture_total>0) {
				document.getElementById('Type_Fact').disabled = true;
				document.getElementById('Login_Resp').disabled = true;
				document.getElementById('Nom_Affaire').disabled = true;
				document.getElementById('Commentaires').disabled = true;
				document.getElementById('bChoisirMentions').disabled = true;
				document.getElementById('Imp_Com').disabled = true;
				document.getElementById('bEnregistrer').disabled = true;
				document.getElementById('chercher_adresse').disabled = true;
				document.getElementById('chercher_adrfact').disabled = true;
				document.getElementById('chercher_inter').disabled = true;
				document.getElementById('chercher_inter_liv').disabled = true;
				document.getElementById('bInter').disabled = true;
				document.getElementById('bInterLiv').disabled = true;
			}

			if (contenu.getAttribute("Nb_Facture_Gen")>0 || contenu.getAttribute("Nb_Bons_Gen")>0) {
				document.getElementById('bSupprimer').collapsed = true;
			}
		}

		document.getElementById('Creation').label = "Affaire cre le "+ contenu.getAttribute('Date_Creation') +" par "+ contenu.getAttribute('Login_Createur');
		document.getElementById('Modification').label = "Dernire modification le "+ contenu.getAttribute('Date_Maj') +" par "+ contenu.getAttribute('Login_Maj');
		document.getElementById('Fiche').label = "Affaire N "+ contenu.getAttribute('Numero') +" - "+ contenu.getAttribute('Nom_Affaire');
		document.getElementById('Creation').collapsed = false;
		document.getElementById('Modification').collapsed = false;

		setModifie(false);

	} catch (e) {
      	recup_erreur(e);
  }
}

function rechercherInterlocuteurFact() {
  try {

		var url = "chrome://opensi/content/facturation/user/commun/popup-choixInter.xul?"+ cookie() +"&Client_Id="+ urlEncode(document.getElementById('Client_Id').value);
    window.openDialog(url,'','chrome,modal,centerscreen', reporterInterFact);

	} catch (e) {
  	recup_erreur(e);
  }
}


function reporterInterFact(civ, civ_courte, nom, prenom, tel, fax, email) {
  try {
		document.getElementById("Civ_Inter_Fact").value = civ;
		document.getElementById("Civ_Inter_Courte_Fact").value = civ_courte;
		document.getElementById("Nom_Inter_Fact").value = nom;		
		document.getElementById("Prenom_Inter_Fact").value = prenom;
		document.getElementById("Tel_Inter_Fact").value = tel;
		document.getElementById("Fax_Inter_Fact").value = fax;
		document.getElementById("Email_Inter_Fact").value = email;
		
		setModifie(true);

	} catch (e) {
  	recup_erreur(e);
  }
}

function enleverInterFact() {
  try {
		document.getElementById("Civ_Inter_Fact").value = 0;
		document.getElementById("Civ_Inter_Courte_Fact").value = '';
		document.getElementById("Nom_Inter_Fact").value = '';		
		document.getElementById("Prenom_Inter_Fact").value = '';
		document.getElementById("Tel_Inter_Fact").value = '';
		document.getElementById("Fax_Inter_Fact").value = '';
		document.getElementById("Email_Inter_Fact").value = '';
		
		setModifie(true);

	} catch (e) {
  	recup_erreur(e);
  }

}

function enleverInterLiv() {
  try {
		document.getElementById("Civ_Inter_Liv").value = 0;
		document.getElementById("Civ_Inter_Courte_Liv").value = '';
		document.getElementById("Nom_Inter_Liv").value = '';		
		document.getElementById("Prenom_Inter_Liv").value = '';
		document.getElementById("Tel_Inter_Liv").value = '';
		document.getElementById("Fax_Inter_Liv").value = '';
		document.getElementById("Email_Inter_Liv").value = '';
		
		setModifie(true);

	} catch (e) {
  	recup_erreur(e);
  }

}

function rechercherInterlocuteurLiv() {
  try {

		var url = "chrome://opensi/content/facturation/user/commun/popup-choixInter.xul?"+ cookie() +"&Client_Id="+ urlEncode(document.getElementById('Client_Id').value);
    window.openDialog(url,'','chrome,modal,centerscreen', reporterInterLiv);

	} catch (e) {
  	recup_erreur(e);
  }
}


function reporterInterLiv(civ, civ_courte, nom, prenom, tel, fax, email) {
  try {
		document.getElementById("Civ_Inter_Liv").value = civ;
		document.getElementById("Civ_Inter_Courte_Liv").value = civ_courte;
		document.getElementById("Nom_Inter_Liv").value = nom;		
		document.getElementById("Prenom_Inter_Liv").value = prenom;
		document.getElementById("Tel_Inter_Liv").value = tel;
		document.getElementById("Fax_Inter_Liv").value = fax;
		document.getElementById("Email_Inter_Liv").value = email;
		
		setModifie(true);

	} catch (e) {
  	recup_erreur(e);
  }
}

function supprimer_affaire() {
	try {

		if (window.confirm("Voulez-vous vraiment supprimer cette affaire ?")) {
			var corps = cookie() +"&Page=Facturation/Affaires/supprimerAffaire.tmpl&ContentType=xml&Affaire_Id="+ document.getElementById('Affaire_Id').value;

			requeteHTTP(corps);

			showMessage("L'affaire a t supprime avec succs");
    	window.location = "chrome://opensi/content/facturation/user/affaires/menu_affaires.xul?"+ cookie();
		}

	} catch (e) {
  	recup_erreur(e);
  }
}


function solder_affaire() {
	try {

		if (window.confirm("Voulez-vous vraiment solder cette affaire ?\n(Attention plus aucune livraison possible !)")) {

			var qSolder = new QueryHttp("Facturation/Affaires/solderAffaire.tmpl");
			qSolder.setParam("Affaire_Id", ParamValeur("Affaire_Id"));
			qSolder.execute();

			showMessage("L'affaire a t solde avec succs");

			init();
		}

	} catch (e) {
  	recup_erreur(e);
  }
}


function ouvrir_affaire_win(affaire_id) {
  try {

		charger_affaire(affaire_id);

	} catch (e) {
  	recup_erreur(e);
  }
}


function setBonId_win(id) {
  try {

		bon_id = id;

	} catch (e) {
  	recup_erreur(e);
  }
}

function setCode_Pays_win(id) {
  try {

    Code_Pays = id;
  
  } catch (e) {
    recup_erreur(e);
  }
}

function enregistrer_affaire() {
  try {
  
  	document.getElementById("hbox_bEnregistrer").setAttribute("class","");
  	
  	var ok = false;

		var corps;

		if (mode=="C") {
			corps = cookie() +"&Page=Facturation/Affaires/creerAffaire.tmpl&ContentType=xml";
		}
		else {
			corps = cookie() +"&Page=Facturation/Affaires/modifierAffaire.tmpl&ContentType=xml&Affaire_Id="+ document.getElementById('Affaire_Id').value;
		}


		var client_id = document.getElementById('Client_Id').value;
		var nom_affaire = document.getElementById('Nom_Affaire').value;
		var denomination_fact = document.getElementById('Denomination_Fact').value;
		var adresse_1_fact = document.getElementById('Adresse_1_Fact').value;
		var adresse_2_fact = document.getElementById('Adresse_2_Fact').value;
		var adresse_3_fact = document.getElementById('Adresse_3_Fact').value;
		var code_postal_fact = document.getElementById('Code_Postal_Fact').value;		
		var ville_fact = document.getElementById('Ville_Fact').value;
		var code_pays_fact = document.getElementById('Code_Pays_Fact').value;
		
		var civ_inter_fact = document.getElementById('Civ_Inter_Fact').value;
		var nom_inter_fact = document.getElementById('Nom_Inter_Fact').value;
		var prenom_inter_fact = document.getElementById('Prenom_Inter_Fact').value;
		var tel_inter_fact = document.getElementById('Tel_Inter_Fact').value;
		var fax_inter_fact = document.getElementById('Fax_Inter_Fact').value;
		var email_inter_fact = document.getElementById('Email_Inter_Fact').value;

		var commentaires = document.getElementById('Commentaires').value;
		var util_R = document.getElementById('Login_Resp').value;
		var type_fact = document.getElementById('Type_Fact').value;

		var denomination_liv = document.getElementById('Denomination_Liv').value;
		var adresse_1_liv = document.getElementById('Adresse_1_Liv').value;
		var adresse_2_liv = document.getElementById('Adresse_2_Liv').value;
		var adresse_3_liv = document.getElementById('Adresse_3_Liv').value;
		var code_postal_liv = document.getElementById('Code_Postal_Liv').value;
		var ville_liv = document.getElementById('Ville_Liv').value;
		var code_pays_liv = document.getElementById('Code_Pays_Liv').value;
		var imp_com = (document.getElementById('Imp_Com').checked?"1":"0");

		var civ_inter_liv = document.getElementById('Civ_Inter_Liv').value;
		var nom_inter_liv = document.getElementById('Nom_Inter_Liv').value;
		var prenom_inter_liv = document.getElementById('Prenom_Inter_Liv').value;
		var tel_inter_liv = document.getElementById('Tel_Inter_Liv').value;
		var fax_inter_liv = document.getElementById('Fax_Inter_Liv').value;
		var email_inter_liv = document.getElementById('Email_Inter_Liv').value;

		corps += "&Client_Id="+ urlEncode(client_id) +"&Nom_Affaire="+ urlEncode(nom_affaire) +"&Raison_Sociale="+ urlEncode(denomination_fact);
		corps += "&Adresse_Fact="+ urlEncode(adresse_1_fact) +"&CP_Fact="+ urlEncode(code_postal_fact) +"&Comp_Adresse_Fact="+ urlEncode(adresse_2_fact) +"&Adresse_3_Fact="+ urlEncode(adresse_3_fact);
		corps += "&Ville_Fact="+ urlEncode(ville_fact) +"&Code_Pays_Fact="+ urlEncode(code_pays_fact) +"&Commentaires="+ urlEncode(commentaires) +"&Util_R="+ urlEncode(util_R);
		corps += "&Type_Fact="+ type_fact +"&Imp_Com="+ imp_com +"&Nom_Liv="+ urlEncode(denomination_liv) +"&Adresse_Liv="+ urlEncode(adresse_1_liv);
		corps += "&Comp_Adresse_Liv="+ urlEncode(adresse_2_liv) +"&Adresse_3_Liv="+ urlEncode(adresse_3_liv) +"&CP_Liv="+ urlEncode(code_postal_liv) +"&Ville_Liv="+ urlEncode(ville_liv);
		corps += "&Code_Pays_Liv="+ urlEncode(code_pays_liv);
		corps += "&Civ_Inter="+ urlEncode(civ_inter_fact);
		corps += "&Nom_Inter="+ urlEncode(nom_inter_fact);
		corps += "&Prenom_Inter="+ urlEncode(prenom_inter_fact);
		corps += "&Tel_Inter="+ urlEncode(tel_inter_fact);
		corps += "&Fax_Inter="+ urlEncode(fax_inter_fact);
		corps += "&Email_Inter="+ urlEncode(email_inter_fact);

		corps += "&Civ_Inter_Liv="+ urlEncode(civ_inter_liv);
		corps += "&Nom_Inter_Liv="+ urlEncode(nom_inter_liv);
		corps += "&Prenom_Inter_Liv="+ urlEncode(prenom_inter_liv);
		corps += "&Tel_Inter_Liv="+ urlEncode(tel_inter_liv);
		corps += "&Fax_Inter_Liv="+ urlEncode(fax_inter_liv);
		corps += "&Email_Inter_Liv="+ urlEncode(email_inter_liv);

		if (isEmpty(client_id)) {
			showWarning("Vous devez choisir un client avant d'enregistrer l'affaire !");
		}
		else {
			var p = requeteHTTP(corps);

			var contenu = p.responseXML.documentElement;

			if (mode=="C") {
				var affaire_id = contenu.getAttribute("Affaire_Id");
				charger_affaire(affaire_id);
			}
			else {
				var affaire_id = document.getElementById('Affaire_Id').value;
				mode_fact = type_fact;
				charger_affaire(affaire_id);
			}

			setModifie(false);
			ok = true;
		}
		
		return ok;

	} catch (e) {
  	recup_erreur(e);
  }
}


function charger_coord() {
  try {

		var client_id = document.getElementById("Client_Id").value;

		var corps = cookie() +"&Page=Facturation/Clients/getCoord.tmpl&ContentType=xml&Client_Id="+ urlEncode(client_id);

		var p = requeteHTTP(corps);

		var contenu = p.responseXML.documentElement;

		document.getElementById("Denomination_Fact").value = contenu.getAttribute("Denomination_Fact");
		document.getElementById("Adresse_1_Fact").value = contenu.getAttribute("Adresse_1_Fact");
		document.getElementById("Adresse_2_Fact").value = contenu.getAttribute("Adresse_2_Fact");
		document.getElementById("Adresse_3_Fact").value = contenu.getAttribute("Adresse_3_Fact");
		document.getElementById("Code_Postal_Fact").value = contenu.getAttribute("Code_Postal_Fact");
		document.getElementById("Ville_Fact").value = contenu.getAttribute("Ville_Fact");
		document.getElementById("Pays_Fact").value = contenu.getAttribute("Pays_Fact");
		document.getElementById("Code_Pays_Fact").value = contenu.getAttribute("Code_Pays_Fact");
		document.getElementById("Type_Fact").value = contenu.getAttribute("Type_Fact");
		document.getElementById("Login_Resp").value = contenu.getAttribute("Util_R");

		document.getElementById("Civ_Inter_Fact").value = contenu.getAttribute("Civ_Inter_Fact");
		document.getElementById("Civ_Inter_Courte_Fact").value = contenu.getAttribute("Civ_Inter_Courte_Fact");
		document.getElementById("Nom_Inter_Fact").value = contenu.getAttribute("Nom_Inter_Fact");
		document.getElementById("Prenom_Inter_Fact").value = contenu.getAttribute("Prenom_Inter_Fact");
		document.getElementById("Tel_Inter_Fact").value = contenu.getAttribute("Tel_Inter_Fact");
		document.getElementById("Fax_Inter_Fact").value = contenu.getAttribute("Fax_Inter_Fact");
		document.getElementById("Email_Inter_Fact").value = contenu.getAttribute("Email_Inter_Fact");

		document.getElementById("Denomination_Liv").value = contenu.getAttribute("Denomination_Liv");
		document.getElementById("Adresse_1_Liv").value = contenu.getAttribute("Adresse_1_Liv");
		document.getElementById("Adresse_2_Liv").value = contenu.getAttribute("Adresse_2_Liv");
		document.getElementById("Adresse_3_Liv").value = contenu.getAttribute("Adresse_3_Liv");
		document.getElementById("Code_Postal_Liv").value = contenu.getAttribute("Code_Postal_Liv");
		document.getElementById("Ville_Liv").value = contenu.getAttribute("Ville_Liv");
		document.getElementById("Pays_Liv").value = contenu.getAttribute("Pays_Liv");
		document.getElementById("Code_Pays_Liv").value = contenu.getAttribute("Code_Pays_Liv");

		document.getElementById("Civ_Inter_Liv").value = contenu.getAttribute("Civ_Inter_Liv");
		document.getElementById("Civ_Inter_Courte_Liv").value = contenu.getAttribute("Civ_Inter_Courte_Liv");
		document.getElementById("Nom_Inter_Liv").value = contenu.getAttribute("Nom_Inter_Liv");
		document.getElementById("Prenom_Inter_Liv").value = contenu.getAttribute("Prenom_Inter_Liv");
		document.getElementById("Tel_Inter_Liv").value = contenu.getAttribute("Tel_Inter_Liv");
		document.getElementById("Fax_Inter_Liv").value = contenu.getAttribute("Fax_Inter_Liv");
		document.getElementById("Email_Inter_Liv").value = contenu.getAttribute("Email_Inter_Liv");

		document.getElementById('chercher_adresse').collapsed = false;
		document.getElementById('chercher_adrfact').collapsed = false;
		document.getElementById('chercher_inter').collapsed = false;
		document.getElementById('chercher_inter_liv').collapsed = false;
		document.getElementById('bInter').collapsed = false;
		document.getElementById('bInterLiv').collapsed = false;
		document.getElementById('labelClient').value = client_id;

	} catch (e) {
  	recup_erreur(e);
  }
}


function rechercherClient() {
  try {

		var url = "chrome://opensi/content/facturation/user/clients/rech_client.xul?"+ cookie() +"&Nouv=true&Client_Express=true&Modif_Action=false&Field_Client=Client_Id&Bloque=true";
    window.openDialog(url,'','chrome,modal,centerscreen');

		if (document.getElementById("Client_Id").value != "") {
			setModifie(true);
			charger_coord();
		}

	} catch (e) {
  	recup_erreur(e);
  }
}


function rechercherAdrFact() {
  try {

		var url = "chrome://opensi/content/facturation/user/commun/popup-choixAdresse.xul?"+ cookie() +"&Client_Id="+ urlEncode(document.getElementById('Client_Id').value);
    window.openDialog(url,'','chrome,modal,centerscreen', reporterAdrFact);

	} catch (e) {
  	recup_erreur(e);
  }
}


function rechercherAdrLiv() {
  try {

		var url = "chrome://opensi/content/facturation/user/commun/popup-choixAdresse.xul?"+ cookie() +"&Client_Id="+ urlEncode(document.getElementById('Client_Id').value);
    window.openDialog(url,'','chrome,modal,centerscreen', reporterAdrLiv);

	} catch (e) {
  	recup_erreur(e);
  }
}


function reporterAdrFact(nom, adr1, adr2, adr3, cp, ville, pays, code_pays, contact_fact, contact_liv) {
  try {

		document.getElementById("Denomination_Fact").value = nom;
		document.getElementById("Adresse_1_Fact").value = adr1;
		document.getElementById("Adresse_2_Fact").value = adr2;
		document.getElementById("Adresse_3_Fact").value = adr3;
		document.getElementById("Code_Postal_Fact").value = cp;
		document.getElementById("Ville_Fact").value = ville;
		document.getElementById("Pays_Fact").value = pays;
		document.getElementById("Code_Pays_Fact").value = code_pays;

		if (!isEmpty(contact_fact)) {
	  	var qInterFact = new QueryHttp("Facturation/Clients/getContact.tmpl");
	  	qInterFact.setParam("Num_Inter", contact_fact);
	  	var result = qInterFact.execute();
	  	var content = result.responseXML.documentElement;
	  	reporterInterFact(content.getAttribute("Civilite"),content.getAttribute("Civ_Courte"),content.getAttribute("Nom"),content.getAttribute("Prenom"),content.getAttribute("Tel"),content.getAttribute("Fax"),content.getAttribute("Email"));
	  }
		setModifie(true);

	} catch (e) {
  	recup_erreur(e);
  }
}


function reporterAdrLiv(nom, adr1, adr2, adr3, cp, ville, pays, code_pays, contact_fact, contact_liv) {
  try {
    var tree = document.getElementById('commandes');

    if (document.getElementById("Code_Pays_Liv").value==code_pays || ( tree.view==null || tree.view.rowcount==0)) {
			document.getElementById("Denomination_Liv").value = nom;
			document.getElementById("Adresse_1_Liv").value = adr1;
			document.getElementById("Adresse_2_Liv").value = adr2;
			document.getElementById("Adresse_3_Liv").value = adr3;
			document.getElementById("Code_Postal_Liv").value = cp;
			document.getElementById("Ville_Liv").value = ville;
			document.getElementById("Pays_Liv").value = pays;
			document.getElementById("Code_Pays_Liv").value = code_pays;
		
			if (!isEmpty(contact_liv)) {
		  	var qInterLiv = new QueryHttp("Facturation/Clients/getContact.tmpl");
		  	qInterLiv.setParam("Num_Inter", contact_liv);
		  	var result = qInterLiv.execute();
		  	var content = result.responseXML.documentElement;
		  	reporterInterLiv(content.getAttribute("Civilite"),content.getAttribute("Civ_Courte"),content.getAttribute("Nom"),content.getAttribute("Prenom"),content.getAttribute("Tel"),content.getAttribute("Fax"),content.getAttribute("Email"));
		  } else {		
				setModifie(true);
		  }
	  }
	  else {
	    showWarning("Vous devez choisir une adresse de livraison dans le mme pays que celui de la commande");
	  }
		setModifie(true);

	} catch (e) {
  	recup_erreur(e);
  }
}


function getEtat(etat) {
  try {

		switch(etat) {
			case "N": return "NOUVELLE";
			case "D": return "EN COURS";
			case "V": return "VALID\u00C9E";
			case "A": return "ANNUL\u00C9E";
			case "C": return "CLOTUR\u00C9E";
			default:  return "";
		}

	} catch (e) {
  	recup_erreur(e);
  }
}


function editerCommande(mode_edit) {
  try {

		demandeEnregistrement();
		
		var qGetClient = new QueryHttp("Facturation/Clients/getClient.tmpl");
		qGetClient.setParam("Client_Id", document.getElementById("Client_Id").value);
		var result = qGetClient.execute();
		var content = result.responseXML.documentElement;
	  var assujettiTVA=content.getAttribute("Assujetti_TVA");
		var numTVA=content.getAttribute("Num_TVA_Intra");

		var affaire_id = document.getElementById("Affaire_Id").value;

		var liste_param = "&Raison_Sociale="+ urlEncode(document.getElementById("Denomination_Fact").value);
		liste_param += "&Adresse_Fact="+ urlEncode(document.getElementById("Adresse_1_Fact").value);
		liste_param += "&CP_Fact="+ urlEncode(document.getElementById("Code_Postal_Fact").value);
		liste_param += "&Ville_Fact="+ urlEncode(document.getElementById("Ville_Fact").value);
		liste_param += "&Client_Id="+ urlEncode(document.getElementById("Client_Id").value);
		liste_param += "&Nom_Affaire="+ urlEncode(document.getElementById("Nom_Affaire").value);
		liste_param += "&Responsable="+ urlEncode(document.getElementById("Login_Resp").getAttribute("label"));
		liste_param += "&EtatAffaire="+ urlEncode(document.getElementById("Status").value);
		liste_param += "&Num_Affaire="+ urlEncode(document.getElementById("Numero").value);
		liste_param += "&Code_Pays_Liv="+ urlEncode(document.getElementById("Code_Pays_Liv").value);
		liste_param += "&Assujetti_TVA="+ assujettiTVA;
		liste_param += "&Num_TVA_Intra="+ urlEncode(numTVA);

		if (mode_edit=="C") {
			var page = "chrome://opensi/content/facturation/user/affaires/edition_commande.xul?"+ cookie() +"&Mode=C&Affaire_Id="+ affaire_id + liste_param;
    	window.location = page;
		}
		else {
			var tree = document.getElementById('commandes');

			if (tree.view!=null && tree.currentIndex!=-1) {

				var com_id = getCellText(tree,tree.currentIndex,'ColCom_Id');
				var page = "chrome://opensi/content/facturation/user/affaires/edition_commande.xul?"+ cookie() +"&Com_Id="+ com_id +"&Mode=M&Affaire_Id="+ affaire_id + liste_param;
    		window.location = page;
			}
		}

	} catch (e) {
  	recup_erreur(e);
  }
}


function pressOnTree(elem,ev) {
  try {

		switch(ev.keyCode) {
      case 13: // 'Enter'
        switch(elem) {
					case "C": editerCommande("M");
					case "B": editerBon("M");
					case "F": editerFactureAvoir("M");
				}
        break;
    }

	} catch (e) {
  	recup_erreur(e);
  }
}


function selectionFacture() {
  try {

   var tree = document.getElementById('factures');
   if (tree.view!=null && tree.currentIndex!=-1) {
   
      if (getCellText(tree,tree.currentIndex,'ColNouvAvoir')=='1') {
        document.getElementById("bNouveauAvoir").disabled = false;
      }
      else {
        document.getElementById("bNouveauAvoir").disabled = true;
      }
   }
   else {
     document.getElementById("bNouveauAvoir").disabled = true;
   }
  } catch (e) {
    recup_erreur(e);
  }
}

function editerBon(mode_edit) {
  try {
        demandeEnregistrement();
        
        var affaire_id = document.getElementById("Affaire_Id").value;
        
        var liste_param = "&Raison_Sociale=" + urlEncode(document.getElementById("Denomination_Fact").value);
        liste_param += "&Adresse_Fact=" + urlEncode(document.getElementById("Adresse_1_Fact").value);
        liste_param += "&CP_Fact=" + urlEncode(document.getElementById("Code_Postal_Fact").value);
        liste_param += "&Ville_Fact=" + urlEncode(document.getElementById("Ville_Fact").value);
        liste_param += "&Client_Id=" + urlEncode(document.getElementById("Client_Id").value);
        liste_param += "&Nom_Affaire=" + urlEncode(document.getElementById("Nom_Affaire").value);
        liste_param += "&Responsable=" + urlEncode(document.getElementById("Login_Resp").getAttribute("label"));
        liste_param += "&Num_Affaire=" + urlEncode(document.getElementById("Numero").value);
        
        if (mode_edit == "C") {
            tree = document.getElementById("commandes");
            if (tree.view == null || tree.currentIndex == -1 || getCellText(tree, tree.currentIndex, "ColEtat") != "V") 
                showWarning("Aucune facture s\u00E8lectionn\u00E9e, ou commande non valid\u00E9e");
            else if (getCellText(tree, tree.currentIndex, "ColSoldee") == 1) 
                showWarning("Commande sold\u00E9e");
            else {
                liste_param += "&ComValide=" + getCellText(tree, tree.currentIndex, "ColCom_Id");
                var page = "chrome://opensi/content/facturation/user/affaires/edition_livraison.xul?" + cookie() + "&Mode=C&Affaire_Id=" + affaire_id + liste_param;
                window.location = page;
            }
        } else {
            tree = document.getElementById('bons');
            
            if (tree.view != null && tree.currentIndex != -1) {
                var bon_id = getCellText(tree, tree.currentIndex, 'ColBon_Id');
                liste_param += "&ComValide=" + getCellText(tree, tree.currentIndex, "ColCom_Id");
                var page = "chrome://opensi/content/facturation/user/affaires/edition_livraison.xul?" + cookie() + "&Mode=M&Bon_Id=" + bon_id + "&Affaire_Id=" + affaire_id + liste_param;
                window.location = page;
            }
        }
	} catch (e) {
  	recup_erreur(e);
  }
}

function editerFactureAvoir(mode_edit) {
  try {

    demandeEnregistrement();

    var tree = document.getElementById('factures');
    if (tree.view!=null && tree.currentIndex!=-1) {
      if (getCellText(tree,tree.currentIndex,'ColType')=="F") {
        editerFacture(mode_edit);
      }
      else if (getCellText(tree,tree.currentIndex,'ColType')=="A") {
        editerAvoir(mode_edit);
      }
    }

  } catch (e) {
    recup_erreur(e);
  }
}



function editerFacture(mode_edit) {
    try {
        demandeEnregistrement();
        
        var affaire_id = document.getElementById("Affaire_Id").value;
        
        var tree_commandes = document.getElementById("commandes");
        
        var liste_param = "&Raison_Sociale=" + urlEncode(document.getElementById("Denomination_Fact").value);
        liste_param += "&Adresse_Fact=" + urlEncode(document.getElementById("Adresse_1_Fact").value);
        liste_param += "&CP_Fact=" + urlEncode(document.getElementById("Code_Postal_Fact").value);
        liste_param += "&Ville_Fact=" + urlEncode(document.getElementById("Ville_Fact").value);
        liste_param += "&Client_Id=" + urlEncode(document.getElementById("Client_Id").value);
        liste_param += "&Nom_Affaire=" + urlEncode(document.getElementById("Nom_Affaire").value);
        liste_param += "&Responsable=" + urlEncode(document.getElementById("Login_Resp").getAttribute("label"));
        liste_param += "&Type_Fact=" + mode_fact;
        liste_param += "&Num_Affaire=" + urlEncode(document.getElementById("Numero").value);
        
        if (mode_edit == "C") {
        
            if (mode_fact == "B") {
                var url = "chrome://opensi/content/facturation/user/affaires/choix_bon.xul?" + cookie() + "&Affaire_Id=" + affaire_id;
                window.openDialog(url, '', 'chrome,modal,centerscreen');
                
                if (bon_id != 0) {
                    liste_param += "&Bon_Id=" + bon_id;
                    
                    var page = "chrome://opensi/content/facturation/user/affaires/edition_facture.xul?" + cookie() + "&Mode=C&Affaire_Id=" + affaire_id + liste_param;
                    window.location = page;
                }
            } else {
                var req_pays = new QueryHttp("Facturation/Affaires/getNombrePaysBL.tmpl");
                req_pays.setParam("Affaire_Id", affaire_id);
                var p = req_pays.execute();
                
                if (p.responseXML.documentElement.getAttribute('nb') > 1) {
                    var url = "chrome://opensi/content/facturation/user/affaires/choix_paysBL.xul?" + cookie() + "&Affaire_Id=" + affaire_id;
                    window.openDialog(url, '', 'chrome,modal,centerscreen');
                } else 
                    Code_Pays = p.responseXML.documentElement.getAttribute('Code_Pays_Liv');
                
                if (Code_Pays != "")
                    liste_param += "&Code_Pays=" + Code_Pays;
                    
                if (mode_fact == "C") 
                    liste_param += "&ComValide=" + getCellText(tree_commandes, tree_commandes.currentIndex, "ColCom_Id");
                else { // Regroupement G
                    var plages = tree_commandes.view.selection.getRangeCount();
                    var debut = {};
                    var fin = {};
                    var liste_commandes = "";
                    
                    for (var i = 0; i < plages; i++) {
                        tree_commandes.view.selection.getRangeAt(i, debut, fin);
                        for (var j = debut.value; j <= fin.value; j++) 
                            liste_commandes += getCellText(tree_commandes, j, "ColCom_Id") + ',';
                    }
                    
                    liste_param += "&ComValide=" + liste_commandes;
                }
                var page = "chrome://opensi/content/facturation/user/affaires/edition_facture.xul?" + cookie() + "&Mode=C&Affaire_Id=" + affaire_id + liste_param;
                window.location = page;
            }
        } else {
            var tree = document.getElementById('factures');
            
            if (tree.view != null && tree.currentIndex != -1) {
            
                var facture_id = getCellText(tree, tree.currentIndex, 'ColDocument_Id');
                var page = "chrome://opensi/content/facturation/user/affaires/edition_facture.xul?" + cookie() + "&Mode=M&Facture_Id=" + facture_id + "&Affaire_Id=" + affaire_id + liste_param;
                window.location = page;
            }
        }
	} catch (e) {
        recup_erreur(e);
    }
}

function editerAvoir(mode_edit) {
  try {

    var tree = document.getElementById('factures');
    var affaire_id = document.getElementById("Affaire_Id").value;

    var liste_param = "&Raison_Sociale="+ urlEncode(document.getElementById("Denomination_Fact").value);
    liste_param += "&Adresse_Fact="+ urlEncode(document.getElementById("Adresse_1_Fact").value);
    liste_param += "&CP_Fact="+ urlEncode(document.getElementById("Code_Postal_Fact").value);
    liste_param += "&Ville_Fact="+ urlEncode(document.getElementById("Ville_Fact").value);
    liste_param += "&Client_Id="+ urlEncode(document.getElementById("Client_Id").value);
    liste_param += "&Nom_Affaire="+ urlEncode(document.getElementById("Nom_Affaire").value);
    liste_param += "&Responsable="+ urlEncode(document.getElementById("Login_Resp").getAttribute("label"));
    liste_param += "&ComValide="+ com_valide;
    liste_param += "&Type_Fact="+ mode_fact;
    liste_param += "&Num_Affaire="+ urlEncode(document.getElementById("Numero").value);
    if (mode_edit=="C") {
      var facture_id = getCellText(tree,tree.currentIndex,'ColDocument_Id');
      var page = "chrome://opensi/content/facturation/user/affaires/edition_avoir.xul?"+ cookie() +"&Mode=C&Facture_Id="+ facture_id +"&Affaire_Id="+ affaire_id + liste_param;
      window.location = page;
    }
    else {
      var tree = document.getElementById('factures');

      if (tree.view!=null && tree.currentIndex!=-1) {

        var avoir_id = getCellText(tree,tree.currentIndex,'ColDocument_Id');
        var page = "chrome://opensi/content/facturation/user/affaires/edition_avoir.xul?"+ cookie() +"&Mode=M&Avoir_Id="+ avoir_id +"&Affaire_Id="+ affaire_id + liste_param;
        window.location = page;
      }
    }

  } catch (e) {
    recup_erreur(e);
  }
}


function demandeEnregistrement() {
  try {

		if (document.getElementById("Modifie").value=="y") {
			if (window.confirm("Voulez-vous enregistrer les modifications apportes  l'affaire ?")) {
				enregistrer_affaire();
			}
		}

	} catch (e) {
  	recup_erreur(e);
	}
}

/**
 * Actions sur slection de commande
 */
function selectionnerCommande() {
    try {
        var tree = document.getElementById("commandes");
        if (tree.view != null && 
            tree.currentIndex != -1 && 
            getCellText(tree, tree.currentIndex, "ColEtat") == "V") {
                document.getElementById("bNouveauBon").disabled = !(getCellText(tree, tree.currentIndex, "ColSoldee") == 0 && editer_bon);
                //document.getElementById("bNouveauFacture").disabled = !(getCellText(tree, tree.currentIndex, "ColSoldee") == 0 && editer_facture);
                document.getElementById("bNouveauFacture").disabled = !editer_facture;
        } else {
            document.getElementById("bNouveauBon").disabled = true;
            document.getElementById("bNouveauFacture").disabled = true;    
        } 
	} catch (e) {
  	    recup_erreur('erreur dans facturation/user/affaires/fiche_affaire.js#selectionnerCommande : '+ e);
	}
}

/**
 * Actions sur slection de bl
 */
function selectionnerBon() {
    try {
        if (mode_fact == "B") {
            document.getElementById("bNouveauFacture").disabled = !editer_facture;
            document.getElementById("bNouveauBon").disabled = !editer_bon;
        } else 
            selectionnerCommande();
	} catch (e) {
  	    recup_erreur('erreur dans facturation/user/affaires/fiche_affaire.js#selectionnerBon : '+ e);
	}
}

/**
 * Activer/dsactiver la slection multiple sur les commandes en cas de regroupement
 */
function selectionnerTypeFacturation() {
    try {
	    var tree = document.getElementById("commandes");
        if (tree.view != null)
            tree.view.selection.select(-1);
        tree.selType = (document.getElementById("Type_Fact").selectedItem.value == "G" ? "multiple" : "single");
    } catch (e) {
    	recup_erreur('erreur dans facturation/user/affaires/fiche_affaire.js#selectionnerTypeFacturation : '+ e);
    }
}

function setModifie(m) {
  try {

		if (m) {
			document.getElementById('Modifie').value = "y";
			document.getElementById('labelAffaire').setAttribute("label","Affaire (modifie)");
		}
		else {
			document.getElementById('Modifie').value = "n";
			document.getElementById('labelAffaire').setAttribute("label","Affaire");
		}

	} catch (e) {
  	recup_erreur(e);
	}
}


function choisirMentions() {
  try {
  	
  	var ok = true;
  	
  	if (mode=="C") {
			ok = enregistrer_affaire();
		}

		if (ok) {
			var url = "chrome://opensi/content/facturation/user/commun/popup-choix_mentions.xul?"+ cookie() +"&Type_Doc=Affaire&Doc_Id="+ document.getElementById('Affaire_Id').value;
    	window.openDialog(url,'','chrome,modal,centerscreen',setModifie);
		}		

	} catch (e) {
  	recup_erreur(e);
  }
}


function rechercher_affaire() {
  try {

		var url = "chrome://opensi/content/facturation/user/affaires/rech_affaire.xul?"+ cookie();
		window.openDialog(url,'','chrome,modal,centerscreen');

	} catch (e) {
  	recup_erreur(e);
  }
}


function retour_affaires() {
  try {

    window.location = "chrome://opensi/content/facturation/user/affaires/menu_affaires.xul?"+ cookie();

  } catch (e) {
    recup_erreur(e);
  }
}


function retour_menu_principal() {
  try {

    window.location = "chrome://opensi/content/facturation/user/menu_principal.xul?"+ cookie();

  } catch (e) {
    recup_erreur(e);
  }
}
